# DataExchange
TKSTEPBase
StepShape

# StepShape_HArray1OfGeometricSetSelect Class Reference

`#include <StepShape_HArray1OfGeometricSetSelect.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_HArray1OfGeometricSetSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_HArray1OfGeometricSetSelect (const Standard_Integer Low, const Standard_Integer Up, const StepShape_GeometricSetSelect &V)
Standard_EXPORT void | Init (const StepShape_GeometricSetSelect &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepShape_GeometricSetSelect &Value)
const StepShape_GeometricSetSelect & | Value (const Standard_Integer Index) const
StepShape_GeometricSetSelect & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfGeometricSetSelect & | Array1 () const
StepShape_Array1OfGeometricSetSelect & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_Array1OfGeometricSetSelect | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HArray1OfGeometricSetSelect::StepShape_HArray1OfGeometricSetSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_HArray1OfGeometricSetSelect::StepShape_HArray1OfGeometricSetSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepShape_GeometricSetSelect & | V
| ) |

## Member Function Documentation

const StepShape_Array1OfGeometricSetSelect& StepShape_HArray1OfGeometricSetSelect::Array1 | ( |  | ) | const

StepShape_Array1OfGeometricSetSelect& StepShape_HArray1OfGeometricSetSelect::ChangeArray1 | ( |  | ) |

StepShape_GeometricSetSelect& StepShape_HArray1OfGeometricSetSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepShape_HArray1OfGeometricSetSelect::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_HArray1OfGeometricSetSelect::Init | ( | const StepShape_GeometricSetSelect & | V | ) |

Standard_Integer StepShape_HArray1OfGeometricSetSelect::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfGeometricSetSelect::Lower | ( |  | ) | const

void StepShape_HArray1OfGeometricSetSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepShape_GeometricSetSelect & | Value
| ) |

Standard_Integer StepShape_HArray1OfGeometricSetSelect::Upper | ( |  | ) | const

const StepShape_GeometricSetSelect& StepShape_HArray1OfGeometricSetSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepShape_Array1OfGeometricSetSelect StepShape_HArray1OfGeometricSetSelect::myArray`[private]`

The documentation for this class was generated from the following file:

- StepShape_HArray1OfGeometricSetSelect.hxx